/* Main CSS */
:root {
	--main-bg-color: #0C1526;
	--cta-color: #1374F2;
	--alternate-bg-color: #03070D;
	--secondary-blue: #115DBF;
	--neutral-gray: #BFBFBF;
	--basic-white: #fff;
	--card_width: 270px;
	--card_border_radius: 16px;
	--card_small: 26;
	--card_medium: 33;
	--card_larger: 45;
}
body {
	font-family: Manrope, sans-serif;
	color: #fafafa;
	background: #0c1526;
}
main {
	background: #0c1526;
	background: linear-gradient(90deg,rgba(12, 21, 38, 1) 60%, rgba(17, 93, 191, 1) 100%);
}
header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 0.75rem 1.5rem;

}
p, ul, ol {
	margin-bottom: .65rem;
}
blockquote {
	font-size: 22px;
	line-height: 1.3;
	margin-bottom: 1.3rem;
}
cite {
	color: var(--cta-color);
}
a.cta, button {
	display: block;
	background-color: var(--cta-color);
	padding: 12px 18px;
	border-radius: 20px;
	color: var(--basic-white);
	text-decoration: none;
	font-weight: 700;
	margin-top: 1.5em;
	margin-bottom: 1.5em;
	width: fit-content;
	transition: all .4s ease-in;
}
button { border: none; }
a.cta:hover,
button:hover {
	background: var(--secondary-blue);
}
.moniker {
	display: flex;
	gap: 1em;
}
.moniker-title p:nth-of-type(2) {
	color: #1374F2;
}
.moniker-img {
	width: 42px;
	height: 42px;
}
.moniker p {
	margin-bottom: 0;
}
section.services,
section.testimonials,
section.work {
	max-width: 900px;
	height: auto;
	margin: 0 auto;
	padding: 2rem;
	padding-bottom: 4rem;
}
section.services h1 {
	font-size: 58px;
	line-height: 1.3;
	font-weight: 700;
}
section.services p.available {
	text-transform: uppercase;
	font-size: 12px;
	letter-spacing: 0.3em;
	background-color: #03070D;
	padding: 12px 15px;
	border-radius: 12px;
	width: fit-content;
	transition: background .4s ease-in;
	cursor: none;
	margin-bottom: 2em;
}
section.services p.available:hover {
	background-color: #115DBf;
}
section.services img {
	display: block;
}
section a {
	color: var(--cta-color);
	text-decoration: none;
	transition: all .4s ease-in;
}
section a:hover {
	color: var(--neutral-gray);
}
.pin-container {
	margin: 0;
	padding: 0;
	
	display: grid;
	grid-template-columns: repeat(auto-fill, var(--card_width));
}
.card {
	padding: 0;
	margin: 15px 10px;
	border-radius: var(--card_border_radius);
}
.card_small {
	grid-row-end: span var(--card_small);
}
.card_medium {
	grid-row-end: span var(--card_medium);
}
.card_large {
	grid-row-end: span var(--card_large);
}
footer {
	display: flex;
	justify-content: space-between;
	align-items: start;
	padding: 0.75rem 1.5rem;
	background: var(--alternate-bg-color);
	padding-top: 3rem;
	padding-bottom: 3rem;
}
footer h2 {
	margin-bottom: 1rem;
}
.icons {
	display: flex;
	gap: 1em;
}
.icons img {
	width: 32px;
	height: 32px;
}
/* form */
form {
	display: flex;
	flex-direction: column;
	gap: 1em;
}
div.contact-form {
	margin: 0 auto;
	margin-top: 4em;
	padding: 2em 3em;
	border-radius: 15px;
}
input { padding: 6px 8px; }
/* Popover */
[popover] {
  padding: .5rem 1rem;
  border-radius: 3px;
  &:popover-open {
    display: grid;
    gap: 0.2rem;
    box-shadow: 0 2px 10px hsl(0 0 0 / .2);
  }
  &::backdrop {
    background: hsl(0 0 0 / .5);
  }
}